Bug 1480303 - opensmptd: Accidentally interposes reallocarray
opensmptd: Accidentally interposes reallocarray
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: opensmtpd (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: Fedora27GlibcInterpositionTracker
  Show dependency treegraph
 
Reported: 2017-08-10 12:04 EDT by Florian Weimer
Modified: 2017-10-17 16:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: opensmtpd-6.0.2p1-6.fc27 opensmtpd-6.0.2p1-6.fc26 opensmtpd-6.0.2p1-6.fc25 opensmtpd-6.0.2p1-6.el7 opensmtpd-6.0.2p1-6.el6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-05 17:04:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
opensmptd.patch (465 bytes, patch)
2017-08-10 12:04 EDT, Florian Weimer
no flags Details | Diff

  None (edit)
Description Florian Weimer 2017-08-10 12:04:29 EDT
Created attachment 1311828 [details]
opensmptd.patch

openbsd-compat/reallocarray.c does not check HAVE_REALLOCARRAY, so it is compiled in even if the configure check indicates that the function is present.  As a result, the function provided by glibc is interposed.

The attached patch should correct this.

(Current upstream sources have a similar issue for explicit_bzero.)
Comment 1 Jan Kurik 2017-08-15 04:11:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Fedora Update System 2017-09-30 13:32:59 EDT
opensmtpd-6.0.2p1-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-29badcfae4
Comment 3 Fedora Update System 2017-09-30 13:33:07 EDT
opensmtpd-6.0.2p1-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8f47a3c83f
Comment 4 Fedora Update System 2017-09-30 13:33:13 EDT
opensmtpd-6.0.2p1-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aed89fbb4e
Comment 5 Fedora Update System 2017-09-30 13:33:18 EDT
opensmtpd-6.0.2p1-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-590fd84f74
Comment 6 Fedora Update System 2017-09-30 13:33:23 EDT
opensmtpd-6.0.2p1-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e502bca19e
Comment 7 Fedora Update System 2017-10-01 19:48:49 EDT
opensmtpd-6.0.2p1-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-590fd84f74
Comment 8 Fedora Update System 2017-10-01 19:49:45 EDT
opensmtpd-6.0.2p1-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-8f47a3c83f
Comment 9 Fedora Update System 2017-10-01 19:55:35 EDT
opensmtpd-6.0.2p1-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aed89fbb4e
Comment 10 Fedora Update System 2017-10-01 20:55:59 EDT
opensmtpd-6.0.2p1-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e502bca19e
Comment 11 Fedora Update System 2017-10-01 20:57:18 EDT
opensmtpd-6.0.2p1-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-29badcfae4
Comment 12 Fedora Update System 2017-10-05 17:04:38 EDT
opensmtpd-6.0.2p1-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-10-09 11:23:41 EDT
opensmtpd-6.0.2p1-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-10-09 15:19:08 EDT
opensmtpd-6.0.2p1-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-10-17 14:17:09 EDT
opensmtpd-6.0.2p1-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-10-17 16:48:14 EDT
opensmtpd-6.0.2p1-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.